MyGUI: MyGUI::ResourceTrueTypeFont Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceTrueTypeFont Class Reference

`#include <MyGUI_ResourceTrueTypeFont.h>`

Inheritance diagram for MyGUI::ResourceTrueTypeFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceTrueTypeFont | RTTIBase
Public Types inherited from MyGUI::IFont
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
| ResourceTrueTypeFont ()
| ~ResourceTrueTypeFont () override
void | deserialization (xml::ElementPtr _node, Version _version) override
const GlyphInfo * | getGlyphInfo (Char _id) const override
ITexture * | getTextureFont () const override
int | getDefaultHeight () const override
void | textureInvalidate (ITexture *_texture) override
std::vector< std::pair< Char, Char > > | getCodePointRanges () const
Char | getSubstituteCodePoint () const
void | initialise ()
void | setSource (const std::string &_value)
void | setShader (const std::string &_value)
void | setSize (float _value)
void | setResolution (unsigned int _value)
void | setHinting (const std::string &_value)
void | setAntialias (bool _value)
void | setTabWidth (float _value)
void | setOffsetHeight (int _value)
void | setSubstituteCode (int _value)
void | setDistance (int _value)
void | setMsdfMode (bool _value)
void | setMsdfRange (int _value)
void | addCodePointRange (Char _first, Char _second)
void | removeCodePointRange (Char _first, Char _second)
Public Member Functions inherited from MyGUI::IFont
template<typename Type >
bool | isType () const
| IFont ()=default
| ~IFont () override=default
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ITextureInvalidateListener
virtual | ~ITextureInvalidateListener ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IFont
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 33 of file MyGUI_ResourceTrueTypeFont.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::ResourceTrueTypeFont::Base

Definition at line 37 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ RTTIBase

ResourceTrueTypeFont MyGUI::ResourceTrueTypeFont::RTTIBase

Definition at line 37 of file MyGUI_ResourceTrueTypeFont.h.

## Constructor & Destructor Documentation

## ◆ ResourceTrueTypeFont()

MyGUI::ResourceTrueTypeFont::ResourceTrueTypeFont | ( |  | ) |

Definition at line 32 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ ~ResourceTrueTypeFont()

MyGUI::ResourceTrueTypeFont::~ResourceTrueTypeFont | ( |  | ) |
| override

Definition at line 36 of file MyGUI_ResourceTrueTypeFont.cpp.

## Member Function Documentation

## ◆ addCodePointRange()

void MyGUI::ResourceTrueTypeFont::addCodePointRange | ( | Char | _first,
|  | Char | _second )

Definition at line 127 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ deserialization()

void MyGUI::ResourceTrueTypeFont::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )
| overridevirtual

Reimplemented from MyGUI::IResource.

Definition at line 40 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getClassTypeName()

static const std::string & MyGUI::ResourceTrueTypeFont::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 37 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ getCodePointRanges()

std::vector< std::pair< Char, Char > > MyGUI::ResourceTrueTypeFont::getCodePointRanges | ( |  | ) | const

Definition at line 65 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getDefaultHeight()

int MyGUI::ResourceTrueTypeFont::getDefaultHeight | ( |  | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 56 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getGlyphInfo()

const GlyphInfo * MyGUI::ResourceTrueTypeFont::getGlyphInfo | ( | Char | _id | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 46 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getSubstituteCodePoint()

Char MyGUI::ResourceTrueTypeFont::getSubstituteCodePoint | ( |  | ) | const

Definition at line 70 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getTextureFont()

ITexture * MyGUI::ResourceTrueTypeFont::getTextureFont | ( |  | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 51 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getTypeName()

virtual const std::string & MyGUI::ResourceTrueTypeFont::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IFont.

Definition at line 37 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ initialise()

void MyGUI::ResourceTrueTypeFont::initialise | ( |  | ) |

Definition at line 75 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceTrueTypeFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 37 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceTrueTypeFont::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IFont.

Definition at line 37 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ removeCodePointRange()

void MyGUI::ResourceTrueTypeFont::removeCodePointRange | ( | Char | _first,
|  | Char | _second )

Definition at line 131 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setAntialias()

void MyGUI::ResourceTrueTypeFont::setAntialias | ( | bool | _value | ) |

Definition at line 99 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setDistance()

void MyGUI::ResourceTrueTypeFont::setDistance | ( | int | _value | ) |

Definition at line 115 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setHinting()

void MyGUI::ResourceTrueTypeFont::setHinting | ( | const std::string & | _value | ) |

Definition at line 95 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setMsdfMode()

void MyGUI::ResourceTrueTypeFont::setMsdfMode | ( | bool | _value | ) |

Definition at line 119 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setMsdfRange()

void MyGUI::ResourceTrueTypeFont::setMsdfRange | ( | int | _value | ) |

Definition at line 123 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setOffsetHeight()

void MyGUI::ResourceTrueTypeFont::setOffsetHeight | ( | int | _value | ) |

Definition at line 107 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setResolution()

void MyGUI::ResourceTrueTypeFont::setResolution | ( | unsigned int | _value | ) |

Definition at line 91 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setShader()

void MyGUI::ResourceTrueTypeFont::setShader | ( | const std::string & | _value | ) |

Definition at line 83 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setSize()

void MyGUI::ResourceTrueTypeFont::setSize | ( | float | _value | ) |

Definition at line 87 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setSource()

void MyGUI::ResourceTrueTypeFont::setSource | ( | const std::string & | _value | ) |

Definition at line 79 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setSubstituteCode()

void MyGUI::ResourceTrueTypeFont::setSubstituteCode | ( | int | _value | ) |

Definition at line 111 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setTabWidth()

void MyGUI::ResourceTrueTypeFont::setTabWidth | ( | float | _value | ) |

Definition at line 103 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ textureInvalidate()

void MyGUI::ResourceTrueTypeFont::textureInvalidate | ( | ITexture * | _texture | ) |
| overridevirtual

Implements MyGUI::ITextureInvalidateListener.

Definition at line 61 of file MyGUI_ResourceTrueTypeFont.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceTrueTypeFont.h
- MyGUI_ResourceTrueTypeFont.cpp